import { Observer } from '../runtime/observer';
export declare class ComputedTracker {
    static isTracking: boolean;
    static trackedObservers: Set<Observer>;
    /**
     * @internal
     * Starts tracking Observers
     */
    static track(): void;
    /**
     * @internal
     * Adds passed Observer to tracked Observers, if ComputedTracker is currently tracking
     * @param observer - Observer
     */
    static tracked(observer: Observer): void;
    /**
     * @internal
     * Returns tracked Observers and stops tracking anymore Observers
     */
    static getTrackedObservers(): Array<Observer>;
}
