export declare class EventJob<PayloadType = any> {
    payload: PayloadType;
    creationTimestamp: number;
    keys?: string[];
    /**
     * @public
     * Event Job - Holds Payload and gets executed/performed by the Event
     * @param payload - Payload that is represented by this Job
     * @param keys - Keys of EventCallbacks that get executed with the passed payload
     */
    constructor(payload: PayloadType, keys?: string[]);
}
