import { Agile, Integration } from '../internal';
export declare class Integrations {
    agileInstance: () => Agile;
    integrations: Set<Integration>;
    /**
     * @internal
     * Integrations - Manages Integrations of Agile
     * @param agileInstance - An Instance of Agile
     */
    constructor(agileInstance: Agile);
    /**
     * @internal
     * Integrates Framework(Integration) into Agile
     * @param integration - Integration/Framework that gets integrated
     */
    integrate(integration: Integration): Promise<boolean>;
    /**
     * @internal
     * Updates registered and ready Integrations
     * -> calls 'updateMethod' in all registered and ready Integrations
     * @param componentInstance - Component that gets updated
     * @param updatedData - Properties that differ from the last Value
     */
    update(componentInstance: any, updatedData: Object): void;
    /**
     * @internal
     *  Check if at least one Integration got registered
     */
    hasIntegration(): boolean;
}
