import { Observer } from '../../../internal';
export declare class SubscriptionContainer {
    key?: SubscriptionContainerKeyType;
    ready: boolean;
    subs: Set<Observer>;
    isObjectBased: boolean;
    observerKeysToUpdate: Array<string>;
    subsObject?: {
        [key: string]: Observer;
    };
    /**
     * @internal
     * SubscriptionContainer - Represents Component/(Way to rerender Component) that is subscribed by Observer/s (Agile)
     * -> Used to cause rerender on Component
     * @param subs - Initial Subscriptions
     * @param key - Key/Name of Subscription Container
     */
    constructor(subs?: Array<Observer>, key?: SubscriptionContainerKeyType);
}
export declare type SubscriptionContainerKeyType = string | number;
